On Fri, 3 Dec 2004 00:40:59 +0900, Jamis Buck <jamis_buck / byu.edu> wrote:
> James Britt wrote:
> > Jamis Buck wrote:
> >> Here's another release of Net::SSH, your friendly neighborhood
> >> pure-Ruby SSH2 client protocol implementation.
> > Is this supposed to work on Windows with the 1-click installer?
...
> It looks like the version of the Ruby/OpenSSL module you have installed
> is not the right version... The RSA and DSA keys in the version in 1.8.2
> allow for a no-argument constructor, whereas prior versions in did, and
> that's the problem you are seeing.

The Windows Installer doesn't include OpenSSL.

-austin
-- 
Austin Ziegler * halostatue / gmail.com
               * Alternate: austin / halostatue.ca